using System;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore;
using WebAPIWithEF.Models;

namespace WebAPIWithEF.Data;

public partial class PromotionsContext : DbContext
{
    public PromotionsContext()
    {
    }

    public PromotionsContext(DbContextOptions<PromotionsContext> options)
        : base(options)
    {
    }

    public virtual DbSet<Coupon> Coupons { get; set; }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        OnModelCreatingPartial(modelBuilder);
    }

    partial void OnModelCreatingPartial(ModelBuilder modelBuilder);
}
